#
# spec file for package hscolour
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hscolour
Name:           %{pkg_name}
Version:        1.24.1
Release:        8.11
Summary:        Colourise Haskell code
License:        LGPL-2.1+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros

%description
Hscolour is a small Haskell script to colourise Haskell code. It currently has
six output formats: ANSI terminal codes (optionally XTerm-256colour codes),
HTML 3.2 with <font> tags, HTML 4.01 with CSS, HTML 4.01 with CSS and mouseover
annotations, XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat codes.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%doc LICENCE-LGPL
%{_bindir}/HsColour
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/data
%{_datadir}/%{name}-%{version}/hscolour.css
%{_datadir}/%{name}-%{version}/data/rgb24-example-.hscolour

%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENCE-LGPL

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.24.1 revision 0 with cabal2obs.
  This update obsoletes hscolour-rpmlintrc.
* Mon Jun 27 2016 mimi.vx@gmail.com
- update to 1.24.1
- revome uselees _service
- Change Licence to LGPL-2.1+
* Wed Jan 27 2016 mimi.vx@gmail.com
- update to 1.24
  * support anchors for type/data families
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 1.23
  * bugfix for anchor-generation for instance decls
* Fri Apr 10 2015 mimi.vx@gmail.com
- update to 1.22
  + bugfix for mIRC backend
  + ensure that line-number anchors do not reset in literate code fragments
* Sun Mar 15 2015 mimi.vx@gmail.com
- update to 1.21 from upstream
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
- build statically linked HsColour
  * saves several rounds of rebuilding when bootstrapping an new ghc
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Fri Oct 11 2013 peter.trommler@ohm-hochschule.de
- fix file permissions for SLE
* Fri Oct 11 2013 peter.trommler@ohm-hochschule.de
- enable ppc and ppc64 build
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- update to 1.20.3 from upstream
  * compiles with ghc 7.6
- new simplified packaging
* Fri Dec 14 2012 peter.trommler@ohm-hochschule.de
- help factory-auto by expanding macro in name tag
* Wed Dec 12 2012 peter.trommler@ohm-hochschule.de
- US English for Factory submission
* Fri Oct 19 2012 peter.trommler@ohm-hochschule.de
- filter warning about executable stack
* Thu Oct 11 2012 peter.trommler@ohm-hochschule.de
- disable hscolour for bootstrap in Factory
* Wed Jun 20 2012 peter.trommler@ohm-hochschule.de
- enable hscolour after bootstrap
* Mon Jun  4 2012 peter.trommler@ohm-hochschule.de
- disable hscolour for bootstrapping
* Mon Jun  4 2012 peter.trommler@ohm-hochschule.de
- update to 1.19 from upstream
- required by Haskell Platform 2012.2.0.0
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- enabled hscolour
* Mon Feb 20 2012 peter.trommler@ohm-hochschule.de
- added BuildRoot for SLE-11-SP1
* Mon Jan 23 2012 peter.trommler@ohm-hochschule.de
- bootstrapping hscolour
* Mon Jan 23 2012 peter.trommler@ohm-hochschule.de
- Fixed license tag to conform with SPDX
* Thu Dec 29 2011 peter.trommler@ohm-hochschule.de
- Enable hscolour
* Thu Dec 29 2011 peter.trommler@ohm-hochschule.de
- Remove version service
- Add BR ghc-haskell98-devel
* Sat Dec  3 2011 peter.trommler@ohm-hochschule.de
- Disable hscolour temporarily (bootstrapping).
* Sat Nov 19 2011 peter.trommler@ohm-hochschule.de
- Build with docs hscolour enabled
* Wed Nov 16 2011 peter.trommler@ohm-hochschule.de
- Added clean macro
- Simplified files
* Sat Nov 12 2011 peter.trommler@ohm-hochschule.de
- Added defattr macros (should go into cabal2spec)
- Added unset SUSE_ASNEEDED (should go into ghc-rpm-macros)
- Added without_hscolour for bootstrapping
* Mon Oct 17 2011 peter.trommler@ohm-hochschule.de
- Initial Packaging using cabal2spec and minor modifications.
